Package org.apache.solr.client.solrj.io

## Class SolrClientCache

- java.lang.Object
- - org.apache.solr.client.solrj.io.SolrClientCache

All Implemented Interfaces:
  `Serializable`

    public class SolrClientCache
    extends Object
    implements Serializable

The SolrClientCache caches SolrClients so they can be reused by different TupleStreams.

TODO: Cut this over to using Solr's new Http2 clients

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SolrClientCache()`
`SolrClientCache​(org.apache.http.client.HttpClient httpClient)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `close()`
`CloudSolrClient` `getCloudSolrClient​(String zkHost)` Deprecated.
`HttpSolrClient` `getHttpSolrClient​(String host)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SolrClientCache

    public SolrClientCache()

#### SolrClientCache

    @Deprecated(since="9.0")
    public SolrClientCache​(org.apache.http.client.HttpClient httpClient)

Deprecated.

### Method Detail

#### getCloudSolrClient

    @Deprecated(since="9.0")
    public CloudSolrClient getCloudSolrClient​(String zkHost)

Deprecated.

#### getHttpSolrClient

    @Deprecated(since="9.0")
    public HttpSolrClient getHttpSolrClient​(String host)

Deprecated.

#### close

    public void close()